Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface StackConsumer

All Known Subinterfaces:
  PopInstruction

All Known Implementing Classes:
  AASTORE, ArithmeticInstruction, BASTORE, CASTORE, CHECKCAST, ConversionInstruction, DASTORE, DCMPG, DCMPL, FASTORE, FCMPG, FCMPL, GETFIELD, IASTORE, IfInstruction, INSTANCEOF, InvokeInstruction, LASTORE, LCMP, MONITORENTER, MONITOREXIT, POP, POP2, PUTFIELD, PUTSTATIC, ReturnInstruction, SASTORE, StoreInstruction, SWAP

public interface StackConsumer

Denote an instruction that may consume a value from the stack.

Version:
  $Id: StackConsumer.java,v 1.1.1.1 2001/10/29 20:00:27 jvanzyl Exp $
Author:
  M. Dahm

Method Summary
`int` | `consumeStack(ConstantPoolGen cpg)`

Method Detail

### consumeStack

    public int consumeStack(ConstantPoolGen cpg)

  Returns:
    how many words are consumed from stack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.